releasing package bti version 034-2
[debian/bti.git] / debian / changelog
1 bti (034-2) unstable; urgency=medium
2
3   * debian/watch: switch upstream URL back to kernel.org.
4   * Also update Source field in debian/copyright.
5   * Add build dependency on pkg-config.
6     Thanks to David Su├írez for the bug report.
7     (Closes: #747771)
8
9  -- gregor herrmann <gregoa@debian.org>  Sun, 11 May 2014 21:01:38 +0200
10
11 bti (034-1) unstable; urgency=medium
12
13   * New upstream release. Important changes:
14     - use https for all Twitter URLs
15       Closes: #735367
16     - drop (already broken) support for StatusNet / identi.ca (which has
17       switched from StatusNet to the never-supported pump.io)
18       Closes: #714330, #717133
19   * debian/*: don't mention identi.ca/StatusNet anymore.
20   * Add patch to remove some more references to identi.ca from the help
21     output and the example config.
22   * Drop two patches (taken from upstream or fixed identically),
23     refresh one (offset).
24   * Update years of packaging copyright.
25   * Declare compliance with Debian Policy 3.9.5.
26
27  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Jan 2014 19:01:33 +0100
28
29 bti (033-2) unstable; urgency=low
30
31   * Add patch use-EIO-instead-of-EREMOTEIO.patch, taken from upstream git.
32     (Closes: #714335)
33
34  -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 12:55:53 +0200
35
36 bti (033-1) unstable; urgency=low
37
38   * New upstream release:
39     - fixes "bti should terminate with an error if the --config file can't
40       be read" (Closes: #669192)
41     - fixes "bti no longer works with Twitter and loses posted tweets"
42       by adjusting to the Twitter API v 1.1
43       (Closes: #714032)
44   * Refresh manpage-debian.patch (offset).
45   * Add build dependency on libjson-c-dev.
46   * Add patch to handle Debian's libjson-c.
47   * Add a patch to fix a spelling mistake in the manpage.
48   * Update OAuth instructions on README.Debian. (Closes: #706104)
49   * Update long description (direct messages are supported now).
50
51  -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 01:55:26 +0200
52
53 bti (032-2) unstable; urgency=low
54
55   * Update Vcs-* headers.
56   * debian/watch: update after github URL schema change.
57   * Build depend on libcurl4-gnutls-dev instead of libcurl4-nss-dev (cf.
58     #650138) and make build dependency on liboauth-dev versioned just in
59     case). (LP: #1072720)
60   * Remove version from bash-completion build dependency, nothing older in
61     the archive.
62   * debian/copyright: switch formatting to Copyright-Format 1.0.
63   * Update years of packaging copyright.
64   * Set Standards-Version to 3.9.4 (no changes).
65   * Bump debhelper compatibility level to 9.
66   * debian/rules: make build non-silent.
67
68  -- gregor herrmann <gregoa@debian.org>  Mon, 06 May 2013 21:27:22 +0200
69
70 bti (032-1) unstable; urgency=low
71
72   * New upstream release
73   * debian/watch: use github redirector, there are no released tarballs at the
74     moment.
75   * The tarball from github doesn't ship a configure script; use
76     dh-autoreconf.
77   * Refresh patch manpage-debian.patch (offset), drop remaining patches (all
78     included upstream).
79
80  -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2011 01:25:55 +0100
81
82 bti (031-4) unstable; urgency=low
83
84   * Build-depend on libcurl4-nss-dev instead of libcurl4-gnutls-dev; they
85     conflict with each other, and liboauth-dev now requires the former.
86     (Fixes a not-yet-detected FTBFS.)
87
88  -- gregor herrmann <gregoa@debian.org>  Sat, 26 Nov 2011 23:53:14 +0100
89
90 bti (031-3) unstable; urgency=low
91
92   * Add patch to output the correct configfile name (identi.ca/OAuth/access
93     tokens). Thanks to Vincent Lefevre for the bug report; closes: #646681.
94
95  -- gregor herrmann <gregoa@debian.org>  Sat, 05 Nov 2011 17:48:05 +0100
96
97 bti (031-2) unstable; urgency=low
98
99   * New patch debian/patches/identi.ca-oauth.patch: change identica_* OAuth
100     URI's to point to https instead of http (closes: #602507).
101   * Set Standards-Version to 3.9.2 (no changes).
102   * Improve long description.
103
104  -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 20:35:48 +0200
105
106 bti (031-1) unstable; urgency=low
107
108   * New upstream release:
109     - addresses "bti doesn't warn if the password is incorrect": check server
110       replies in non-background mode, only in non-OAuth mode
111       (partly solves #602502)
112
113  -- gregor herrmann <gregoa@debian.org>  Tue, 22 Mar 2011 17:18:10 +0100
114
115 bti (030-1) unstable; urgency=low
116
117   * New upstream release.
118   * Switch to debhelper 8.
119
120  -- gregor herrmann <gregoa@debian.org>  Fri, 18 Mar 2011 12:32:44 +0100
121
122 bti (029-2) unstable; urgency=low
123
124   * Upload to unstable.
125
126  -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:32:28 +0100
127
128 bti (029-1) experimental; urgency=low
129
130   * New upstream release: includes fixes for
131     + "the --dry-run option has no effect (tweets get posted anyway)
132        with OAuth" (closes: #608608)
133     + "--replyto doesn't work with OAuth" (closes: #608112)
134   * laconi.ca was renamed to StatusNet (in August 2009); adjust package
135     description and add a patch to change the name in the manpage and the
136     example config; thanks to Julien Valroff for the bug report
137     (closes: #605407).
138   * Drop patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch, applied
139     upstream.
140   * Refresh remaining patches.
141   * debian/copyright: update years of upstream and packaging copyright; update
142     formatting.
143   * Don't install README anymore.
144   * Upload to experimental because of the freeze.
145
146  -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 02:43:10 +0100
147
148 bti (028-2) unstable; urgency=low
149
150   * Add patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch by Amir
151     Mohammad Saied which adds the oauth_callback parameter to the identi.ca
152     request_token URI in order to make OAuth work with identi.ca
153     (closes: #602507).
154   * Minor fixes in README.Debian.
155
156  -- gregor herrmann <gregoa@debian.org>  Wed, 24 Nov 2010 18:03:23 +0100
157
158 bti (028-1) unstable; urgency=low
159
160   * New upstream release:
161     - support for replying to notices
162     - adds OAuth support for both twitter and identi.ca (closes: #588235)
163     - split --background from --bash, and make the latter imply the former
164   * Refresh manpage-debian.patch.
165   * Set Standards-Version to 3.9.1 (no changes).
166   * Add build dependency on liboauth-dev.
167   * debian/rules: switch order of dh arguments (preparation for dh8).
168   * debian/copyright: update years of upstream copyright.
169   * Add README.Debian about OAuth usage.
170
171  -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2010 23:00:59 +0100
172
173 bti (026-1) unstable; urgency=low
174
175   * Bump build dependency on bash-completion (needed for --with
176     bash-completion in debian/rules).
177
178   * New upstream release.
179   * Refresh patch manpage-debian.patch and DEP3 patch headers.
180   * debian/copyright: refresh DEP5 header, update years of packaging
181     copyright.
182   * Set Standards-Version to 3.8.4 (no changes).
183   * Convert to source format 3.0 (quilt). Remove quilt framework.
184     Lower debhelper dependency.
185
186  -- gregor herrmann <gregoa@debian.org>  Wed, 19 May 2010 21:41:04 +0200
187
188 bti (025-1) unstable; urgency=low
189
190   * New upstream release: 
191     - set default host to twitter (closes: #563098)
192     - mention correct host in prompts (closes: #563099)
193
194  -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jan 2010 01:29:11 +0100
195
196 bti (024-1) unstable; urgency=low
197
198   * New upstream release:
199     - do not display password while user types it (LP: #386525)
200     - disable echo when reading the password
201     - add laconica group support
202   * debian/control: add Homepage field and adjust long description.
203   * Use "--with bash-completion" in debian/rules to install bash-completion
204     snippet; bump build dependencies on debhelper and bash-completion in
205     debian/control.
206
207  -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2009 17:09:28 +0100
208
209 bti (023-2) unstable; urgency=low
210
211   * Build depend on libreadline-dev instead of libreadline5-dev, thanks to
212     Matthias Klose for the pointer.
213   * Set Standards-Version to 3.8.3 (no changes).
214   * Add debian/README.source to document quilt usage.
215   * Simplify debian/rules, adjust versioned build dependencies on debhelper
216     and quilt in debian/control.
217   * Use dh_bash-completion for installing the completion snippet; adjust
218     debian/rules, add a versioned build dependency on bash-completion.
219
220  -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 16:14:08 +0200
221
222 bti (023-1) unstable; urgency=low
223
224   * New upstream release, main changes:
225     - new 'verbose' mode
226     - SSL also for twitter
227   * debian/copyright: add new additional copyright holder.
228   * Refresh patch manpage-debian.patch.
229   * debian/control: mention additional actions in long description.
230
231  -- gregor herrmann <gregoa@debian.org>  Thu, 28 May 2009 17:37:08 +0200
232
233 bti (022-1) unstable; urgency=low
234
235   * New upstream release, main changes:
236     - support for custim laconi.ca instances
237     - use SSL for identi.ca
238   * debian/copyright: add additional copyright holder.
239
240  -- gregor herrmann <gregoa@debian.org>  Wed, 06 May 2009 23:05:42 +0200
241
242 bti (021-1) unstable; urgency=low
243
244   * New upstream release, contains changes in autoconf tools:
245     - simplify debian/rules and debian/install
246     - replace xmtlo with xsltproc, docbook-xsl, docbook-xml in debian/control
247
248  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Apr 2009 17:12:53 +0200
249
250 bti (020-1) unstable; urgency=low
251
252   * New upstream release:
253     - remove patch getopt.patch, included upstream
254     - remove manpage for bti-shrink-urls from debian/, included upstream
255     - upstream uses autoconf, adjust debian/rules and debian/install, remove
256       debian/manpages
257
258  -- gregor herrmann <gregoa@debian.org>  Tue, 14 Apr 2009 20:40:24 +0200
259
260 bti (017-1) unstable; urgency=low
261
262   * New upstream release.
263   * Add build-dependency on libpcre3-dev.
264   * Refresh patch manpage-debian.patch.
265   * debian/install: add new bti-shrink-urls.
266   * debian/copyright: add information about bti-shrink-urls.
267   * Create a manpage for bti-shrink-urls.
268   * debian/rules: skip dh_auto_install (upstream Makefile now has an install
269     target which is not easier to use than the manual installation we've been
270     using).
271   * Add a new patch getopt.patch to make the new commandline options available
272     in bti.c.
273
274  -- gregor herrmann <gregoa@debian.org>  Tue, 24 Mar 2009 20:47:41 +0100
275
276 bti (015-1) unstable; urgency=low
277
278   * New upstream release; from the RELEASE-NOTES:
279     "--action support, bti now can output data from the twitter
280     and identica servers".
281   * Add build dependency on libxml2-dev.
282   * Refresh patch manpage-debian.patch.
283   * Set Standards-Version to 3.8.1 (no changes).
284
285  -- gregor herrmann <gregoa@debian.org>  Thu, 12 Mar 2009 17:17:11 +0100
286
287 bti (014-1) unstable; urgency=low
288
289   * New upstream release.
290
291  -- gregor herrmann <gregoa@debian.org>  Sat, 14 Feb 2009 18:36:36 +0100
292
293 bti (013-1) unstable; urgency=low
294
295   * New upstream release.
296   * Use dh_install instead of dh_bash-completion to install the bash
297     completion snippet in order to work around a problem on the amd64 buildd
298     (closes: #513115). Drop build dependency on bash-completion.
299
300  -- gregor herrmann <gregoa@debian.org>  Thu, 05 Feb 2009 20:54:54 +0100
301
302 bti (012-1) unstable; urgency=low
303
304   * New upstream release.
305   * Install the new bash completion script; add bash-completion to
306     Build-Depends and Suggests.
307   * Refresh patch manpage-debian.patch.
308
309  -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 00:52:13 +0100
310
311 bti (011-1) unstable; urgency=low
312
313   * New upstream release.
314   * Add build dependency on libreadline5-dev.
315
316  -- gregor herrmann <gregoa@debian.org>  Tue, 20 Jan 2009 17:05:57 +0100
317
318 bti (010-1) unstable; urgency=low
319
320   * New upstream release, includes a new --proxy option and honours the
321     http_proxy environment variable (closes: #511087).
322   * Refresh patch manpage-debian.patch.
323
324  -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2009 22:46:19 +0100
325
326 bti (008-1) unstable; urgency=low
327
328   * New upstream release (due to december twitter server change).
329   * Update years of packaging copyright.
330
331  -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jan 2009 06:01:45 +0100
332
333 bti (007-1) unstable; urgency=low
334
335   * New upstream release.
336
337  -- gregor herrmann <gregoa@debian.org>  Sun, 26 Oct 2008 23:36:48 +0100
338
339 bti (006-1) unstable; urgency=low
340
341   * Initial release (Closes: #503241)
342
343  -- gregor herrmann <gregoa@debian.org>  Fri, 24 Oct 2008 20:53:07 +0200